Holger's Java API

## com.antelmann.util.table
Class TableRow

    java.lang.Object
      com.antelmann.util.table.TableRow

All Implemented Interfaces:
  Serializable, Iterable<Object>

    public class TableRow

extends Object
implements Iterable<Object>, Serializable

simply represents a row in a table.

Since:
  6. Oktober 2006, 11:01
Author:
  Holger Antelmann
See Also:
  `FilteredTableModel`, Serialized Form

Constructor Summary
`TableRow(int positionInModel, Object... columns)`
`TableRow(TableModel model, int row)`

Method Summary
`int` `getColumnCount()`
`int` `getPositionInModel()` returns the row number of this entry within the table model
`Object` `getValueAt(int column)`
`Iterator<Object>` `iterator()` iterates over all column values
`static Map<String,Object>` `readAsMap(Map<String,Object> map, TableModel model, int row)`
`static Map<String,Object>` `readAsMap(TableModel model, int row)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableRow

    public TableRow(TableModel model,
                    int row)

### TableRow

    public TableRow(int positionInModel,
                    Object... columns)

Method Detail

### getPositionInModel

    public int getPositionInModel()

  returns the row number of this entry within the table model

### iterator

    public Iterator<Object> iterator()

  iterates over all column values

  Specified by:
    `iterator` in interface `Iterable<Object>`

### getColumnCount

    public int getColumnCount()

### getValueAt

    public Object getValueAt(int column)
                      throws ArrayIndexOutOfBoundsException

  Throws:
    `ArrayIndexOutOfBoundsException`

### readAsMap

    public static Map<String,Object> readAsMap(TableModel model,
                                               int row)

### readAsMap

    public static Map<String,Object> readAsMap(Map<String,Object> map,
                                               TableModel model,
                                               int row)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads